unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, DB, SQLite3Conn, SQLDB, Forms, Controls, Graphics, Dialogs,
  DBGrids, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Edit1: TEdit;
    Edit2: TEdit;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    SQLite3Connection1: TSQLite3Connection;
    SQLQuery1: TSQLQuery;
    SQLTransaction1: TSQLTransaction;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  {$IFDEF windows}
  SQLiteLibraryName:='libsqlite3.dll'; // nicht ausprobiert, .dll immer mitgeben
  {$ENDIF}

  SQLite3Connection1.Connected:=True;
  SQLTransaction1.Active:=True;
  SQLQuery1.Active:=True;

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  SQLite3Connection1.Connected:=False;
  SQLite3Connection1.Connected:=True;
  SQLQuery1.SQL.Clear;
  SQLQuery1.SQL.Add('INSERT INTO test (test1, test2) VALUES (:test1, :test2)');
  SQLQuery1.Params.ParamByName('test1').AsString:=Edit1.Text;
  SQLQuery1.Params.ParamByName('test2').AsString:=Edit2.Text;
  SQLQuery1.ExecSQL;
  SQLTransaction1.Commit;

  SQLQuery1.Close;


end;

end.

